Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# OutlineItem Class Reference
[Editor]

## Detailed Description

Item in outliner's list.

Contans all the information about single structured token with specified type (region reference).

## Public Member Functions
| OutlineItem ()
| Default constructor.
| OutlineItem (int lno, int pos, int level, String *token, const Region *region)
| Initializing constructor.
## Data Fields
int | lno
| Line number.
int | pos
| Position in line.
int | level
| Level of enclosure.
StringBuffer * | token
| Item text.
const Region * | region
| This item's region.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.